# Uses of Class
org.springframework.web.servlet.config.annotation.ViewControllerRegistry

Packages that use ViewControllerRegistry
Package
Description
org.springframework.web.servlet.config.annotation
Annotation-based setup for Spring MVC.

## Uses of ViewControllerRegistry in org.springframework.web.servlet.config.annotation

Methods in org.springframework.web.servlet.config.annotation with parameters of type ViewControllerRegistry
Modifier and Type
Method
Description
`protected void`
DelegatingWebMvcConfiguration.`addViewControllers(ViewControllerRegistry registry)`
`protected void`
WebMvcConfigurationSupport.`addViewControllers(ViewControllerRegistry registry)`
Override this method to add view controllers.
`default void`
WebMvcConfigurer.`addViewControllers(ViewControllerRegistry registry)`
Configure simple automated controllers pre-configured with the response status code and/or a view to render the response body.